%define major 2
%define libname %mklibname gnome-menu %major

Summary: GNOME menu library
Name: gnome-menus
Version: 2.18.0
Release: %mkrel 2
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
# (fc) 2.15.91-2mdv grab translation from menu-messages if not in upstream file
Patch0: gnome-menus-2.15.91-l10n.patch
# (fc) 2.16.0-2mdv unclutter preferences/settings menu
Patch1: gnome-menus-2.18.0-uncluttermenu.patch
License: GPL/LGPL
Group: System/Libraries
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib2-devel >= 2.5.6
BuildRequires: gamin-devel
BuildRequires: perl-XML-Parser
BuildRequires: libpython-devel
Requires: python-%{name}

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

Also contained here are the GNOME menu layout configuration files,
.directory files and assorted menu related utility programs.

%package -n python-%{name}
Group: Development/Python
Summary: Module to access XDG menu

%description -n python-%{name}
Python module to access XDG menu.

%package -n %libname
Group: System/Libraries
Summary: GNOME menu library

%description -n %libname
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

%package -n %libname-devel
Group: Development/C
Summary: GNOME menu library development files
Requires: %libname = %version
Provides: libgnome-menu-devel = %version-%release
Provides: %{name}-devel = %{version}-%{release}

%description -n %libname-devel
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

%prep
%setup -q
%patch0 -p1 -b .l10n
%patch1 -p1 -b .uncluttermenu

%build
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/xdg/gnome
mv $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus $RPM_BUILD_ROOT%{_sysconfdir}/xdg/gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS HACKING AUTHORS ChangeLog
%_datadir/desktop-directories
%dir %_sysconfdir/xdg/gnome
%dir %_sysconfdir/xdg/gnome/menus
%config(noreplace) %_sysconfdir/xdg/gnome/menus/*
%_bindir/*
%_datadir/applications/*
%_datadir/%{name}

%files -n python-%{name}
%defattr(-,root,root)
%_libdir/python*/site-packages/*

%files -n %libname
%defattr(-,root,root)
%_libdir/libgnome-menu.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/lib*.so
%_libdir/lib*.la
%_libdir/lib*.a
%_includedir/gnome-menus/
%_libdir/pkgconfig/*.pc


%changelog
* Wed Mar 14 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 143667
- Update patch1 to correctly find all GNOME preferences dialogs

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142066
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126137
- new version
- rediff the patch

* Thu Feb 15 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.91-1mdv2007.1
+ Revision: 121383
-Release 2.17.91
-update patch1 to show preferences/admin submenus and only GNOME settings applications

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106900
- new version
- update patch 1

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 88097
- rebuild

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 87684
- new version
- unpack patches
- Import gnome-menus



* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Patch1: unclutter preferences/settings menus

* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-3mdv2007.0
- Update patch0, should fix bug mdv #24481

* Thu Aug 17 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-2mdv2007.0
- Patch0: grab translation from menu-messages if not available upstream

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4.1-2mdv2007.0
- Remove patch0, merged upstream

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4.1-1mdv2007.0
- new major
- New release 2.15.4.1

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new major
- New release 2.15.4

* Thu Apr 13 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0

* Thu Apr 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.13.5-1mdk
- Release 2.13.5
- Patch0 (Fedora): break infinite loop

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-3mdk
- Use mkrel

* Sun Oct 09 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.12.0-2mdk
- add BuildRequires: libpython-devel

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.12.0
- Remove patch0 (merged upstream)

* Mon Sep 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.92-4mdk 
- Patch1: fix pending events being removed prematurely (Mdk bug #17632)

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.92-3mdk 
- Patch0 (CVS): fix monitoring

* Mon Aug 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.92-2mdk 
- Remove patch1, better fix has been included upstream

* Mon Aug 22 2005 Gtz Waschk <waschk@mandriva.org> 2.11.92-1mdk
- drop merged patch 0
- New release 2.11.92

* Tue Aug 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.91-3mdk 
- Patch1: fix monitoring of topdir directory

* Thu Aug 11 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.91-2mdk 
- Patch0 (markmc): don't access freed memory

* Tue Aug 09 2005 Götz Waschk <waschk@mandriva.org> 2.11.91-1mdk
- New release 2.11.91

* Tue Jul 26 2005 Gtz Waschk <waschk@mandriva.org> 2.11.90-1mdk
- New release 2.11.90

* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 2.11.1.1-1mdk
- New release 2.11.1.1

* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 2.11.1-1mdk
- final version

* Fri May 13 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.1-0.20050513.1mdk 
- new CVS snapshot, fix crash

* Thu May 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.1-0.20050512.1mdk 
- new CVS snapshot and this time, use the correct tarball :)

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 2.11.1-0.20050425.2mdk
- fix buildrequires

* Mon Apr 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.1-0.20050425.1mdk 
- new CVS snapshot, no longer uses gnome-vfs, use fam/gamin directly

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.1-0.20050420.3mdk
- add more provides

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 2.11.1-0.20050420.2mdk
- fix buildrequires

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.11.1-0.20050420.1mdk 
- Initial package based on Gtz Waschk package
- CVS snapshot of HEAD branch to get layout support
